Subject: Re: hard hang through qdisc II

From: Andi Kleen <[email-masked]>
Date: Thu, 31 Jan 2008 13:43:13 +0100

On Thursday 31 January 2008 13:21:00 Andi Kleen wrote:
> 
> I just managed to hang a 2.6.24 (+ some non network patches) kernel 
> with the following (non sensical) command

Correction: the kernel was actually a git linus kernel with David's 
recent merge included.

I found it's pretty easy to hang the kernel with various tbf parameters.

-Andi

> tc qdisc add dev eth0 root tbf rate 1000 burst 10 limit 100
> 
> No oops or anything just hangs. While I understand root can
> do bad things just hanging like this seems a little extreme.
> 
> -Andi
>